Bug 997212 - request for ann.pc to allow pkgconfig to inform about libs an headers
request for ann.pc to allow pkgconfig to inform about libs an headers
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ann (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 20:20 EDT by John Ellson
Modified: 2013-08-27 19:37 EDT (History)
1 user (show)

See Also:
Fixed In Version: ann-1.1.2-3.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 19:24:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Ellson 2013-08-14 20:20:00 EDT
Description of problem:
There is no ann.pc in the ann-devel rpm.   Please provide.

And, BTW, ann-devel should really be named ann-libs-devel

(We're starting to use this library in graphviz.)

Version-Release number of selected component (if applicable):
ann-1.1.2-1.fc19.x86_64

How reproducible:
100%

Steps to Reproduce:
1. pkg-config --libs ann
2.
3.

Actual results:
No package 'ann' found


Expected results:
-lann

Additional info:
Comment 1 John Ellson 2013-08-14 20:22:05 EDT
Correction:  Expected results:  -lANN
Comment 2 Dan Horák 2013-08-18 10:16:44 EDT
(In reply to John Ellson from comment #0)
> Description of problem:
> There is no ann.pc in the ann-devel rpm.   Please provide.
> 
> And, BTW, ann-devel should really be named ann-libs-devel

this is a debianism, in Fedora it's correctly called ann-devel
Comment 3 Fedora Update System 2013-08-18 10:20:02 EDT
ann-1.1.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ann-1.1.2-3.fc18
Comment 4 Fedora Update System 2013-08-18 10:20:17 EDT
ann-1.1.2-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ann-1.1.2-3.fc19
Comment 5 Fedora Update System 2013-08-18 17:35:33 EDT
Package ann-1.1.2-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ann-1.1.2-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14962/ann-1.1.2-3.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-08-27 19:24:43 EDT
ann-1.1.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-08-27 19:37:00 EDT
ann-1.1.2-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.